body {
    margin: 0;
    padding: 0;
    width: 100%;
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
    font-style: normal;
    line-height: normal;
    background: rgba(237, 237, 237, 0.40);
    overflow-x: hidden;
}

a,
p,
h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    text-decoration: none;
    line-height: 1.2;
}


.toast-success {
    background-color: #51A351 !important;
}

body {
    background: #f8f9fa !important;
}

.pt-3 .container-fluid {
    padding-left: 0;
}


.card {
    border: none !important;
    border-radius: 10px !important;
}

.table>:not(caption)>*>* {
    padding: 0.3rem 0.3rem !important;
}


p.h3 {
    color: #fff;
}


.btn {
    display: inline-flex !important;
    align-items: center;
}

.form-control {
    background: rgb(61, 68, 73) !important;
    border: 1px #ced4da solid !important;
    color: #333 !important;
}

.form-control--dark {
    background: #2a3338 !important;
}


[class*=sidebar-light-] {
    background-color: #f8f8f8 !important;
}


.nav-sidebar>.nav-item {
    background: #d9d9d9;
    color: #575757;
}

[class*=sidebar-light-] .nav-sidebar>.nav-item.menu-open>.nav-link,
[class*=sidebar-light-] .nav-sidebar>.nav-item:hover>.nav-link {
    background-color: #b6005c !important;
    color: #ffffff !important;
    font-weight: 600;
}

[class*=sidebar-light-] .nav-treeview>.nav-item>.nav-link:hover {
    background-color: #b6005c !important;
}

.b-bottom::after {
    content: '';
    border-bottom: 3px solid #b6005c;
    width: 30%;
    display: block;
}

.card .card-header {
    background-color: #F0F0F0;
}

/* .card .card-body {
	background-color: #d9d9d9 !important;
} */

.card .card-header .page-title {
    color: #575757;
}

.table-scroll {
    /* position: relative;
	min-width: 100%;
	z-index: 1;
	margin: auto;
	overflow: auto;
	table-layout: fixed; */
    display: block;
    max-height: 80vh;
    width: 100%;
    overflow-x: auto;
}

.table-scroll table {
    width: 100%;
    text-align: left;
    margin: auto;
    border-collapse: collapse;
    border-spacing: 0;
}

.table-scroll::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

.table-scroll::-webkit-scrollbar-track {
    background: transparent;
}

.table-scroll::-webkit-scrollbar-thumb {
    background: gray;
    border-radius: 4px;
}

.table-scroll th {
    padding: 20px 15px;
    color: #000;
    vertical-align: top;
    font-weight: 400;
    font-size: 14px;
    border-bottom: 1px solid lightgray;
}

.table-scroll td {
    padding: 20px 15px;
    color: #000;
    vertical-align: top;
    font-weight: 400;
    font-size: 14px;
    border-bottom: 1px solid lightgray;
}

.th-number {
    min-width: 80px;
}

.th-period {
    min-width: 400px;
}

.th-date {
    min-width: 125px;
}

.th-default {
    min-width: 155px;
}

.table-scroll td a {
    color: #000;
    text-decoration: underline;
}

.table-scroll td a:hover {
    text-decoration: none;
}

.table-scroll .hidden {
    display: none;
}

.table-scroll th {
    color: #000;
    background: #F8F8F8;
}

.table-scroll tr:nth-child(even) {
    background: #F8F8F8;
}

.table-scroll tr:nth-child(odd) {
    background: #fff;
}

.table-scroll--sm td,
.table-scroll--sm th {
    padding: 5px 15px;
}

.table-scroll--md td,
.table-scroll--md th {
    padding: 20px 15px;
}

.table-scroll--lg td,
.table-scroll--lg th {
    padding: 30px 15px;
}

.table-scroll thead th {
    background: #F8F8F8;
    position: sticky;
    top: 0;
    color: #000;
}

.table-wrap {
    position: relative;
}

th:first-child {
    position: sticky;
    left: 0;
    z-index: 2;
    background: #F8F8F8;
    color: #000;
    font-size: 14px;
    font-weight: 400;
    border-right: 1px solid lightgray;
}

thead th:first-child {
    z-index: 5;
}

tfoot th:first-child {
    z-index: 5;
}

.resizer {
    cursor: col-resize;
    width: 20px;
    background: lightgray;
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    z-index: 1;
    padding: 2px;
}

.resizer:before {
    content: "";
    background: url(../images/arrows-up-to-line-solid.svg) 50% 50% no-repeat;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transform: rotate(90deg) scale(0.8);
}

.resize {
    position: relative;
}

.btn-sm {
    cursor: pointer;
}

.btn-md {
    cursor: pointer;
}

.btn-lg {
    cursor: pointer;
}

.btn-add {
    cursor: pointer;
}

.table-nav {
    display: flex;
    padding-bottom: 10px;
    justify-content: flex-end;
}

.btn-nav {
    width: 40px;
    height: 40px;
    background: lightgray;
    margin-left: 5px;
    transition: 0.5s;
}

.btn-nav:hover {
    background: #324960;
}

.btn-nav.btn-sm {
    position: relative;
}

.btn-nav.btn-sm:before {
    content: "";
    width: 26px;
    height: 2px;
    position: absolute;
    left: 7px;
    top: 24px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-sm span:before {
    content: "";
    width: 26px;
    height: 2px;
    position: absolute;
    left: 7px;
    top: 16px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-sm span:after {
    content: "";
    width: 26px;
    height: 2px;
    position: absolute;
    left: 7px;
    top: 20px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-md {
    position: relative;
}

.btn-nav.btn-md:before {
    content: "";
    width: 26px;
    height: 4px;
    position: absolute;
    left: 7px;
    top: 12px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-md span:before {
    content: "";
    width: 26px;
    height: 4px;
    position: absolute;
    left: 7px;
    top: 18px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-md span:after {
    content: "";
    width: 26px;
    height: 4px;
    position: absolute;
    left: 7px;
    top: 24px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-lg {
    position: relative;
}

.btn-nav.btn-lg:before {
    content: "";
    width: 26px;
    height: 6px;
    position: absolute;
    left: 7px;
    top: 8px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-lg span:before {
    content: "";
    width: 26px;
    height: 6px;
    position: absolute;
    left: 7px;
    top: 16px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-lg span:after {
    content: "";
    width: 26px;
    height: 6px;
    position: absolute;
    left: 7px;
    top: 24px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-add {
    position: relative;
}

.btn-nav.btn-add:before {
    content: "";
    width: 26px;
    height: 4px;
    position: absolute;
    left: 7px;
    top: 18px;
    background: #fff;
    transition: 0.5s;
}

.btn-nav.btn-add:after {
    content: "";
    width: 4px;
    height: 26px;
    position: absolute;
    left: 18px;
    top: 7px;
    background: #fff;
    transition: 0.5s;
}

.form-control {
    background: #fff !important;
    height: 25px !important;
    padding: .100rem .40rem;
    font-size: 0.9rem;
}

.btn-secondary {
    color: #575757 !important;
    border: none !important;
    background-color: #d9d9d9 !important;
}

.btn-success {
    background-color: #4CAB89 !important;
}

.form-check-input:checked {
    background-color: #4CAB89 !important;
    border-color: #4CAB89 !important;
}

.btn-link {
    color: #4CAB89 !important;
}

.text-success {
    color: #4CAB89 !important;
}

.mdi-delete::before {
    color: #575757;
}

.btn-info {
    background-color: #28a745 !important;
    border: #28a745 !important;
    color: #fff !important;
}